#ifndef	_SIP_UA_MSG_H
#define	_SIP_UA_MSG_H

#include "sip_ua_pub.h"

#define sip_ua_send_update(cgId, dialogId, usrPort, method, sdMsg)				sip_ua_send_non_inv(cgId, dialogId, usrPort, method, sdMsg)
#define sip_ua_send_cancel(cgId, dialogId, usrPort, method, sdMsg)				sip_ua_send_non_inv(cgId, dialogId, usrPort, method, sdMsg)
#define sip_ua_send_bye(cgId, dialogId, usrPort, method, sdMsg)				sip_ua_send_non_inv(cgId, dialogId, usrPort, method, sdMsg)
#define sip_ua_send_200_ack(cgId, dialogId, usrPort, method, sdMsg)			sip_ua_send_non_inv(cgId, dialogId, usrPort, method, sdMsg)
#define sip_ua_send_info(cgId, dialogId, usrPort, method, sdMsg)				sip_ua_send_non_inv(cgId, dialogId, usrPort, method, sdMsg)
#define sip_ua_send_bye_inv_rsp(cgId, dialogId, usrPort, sdMsg)				sip_ua_send_cancel_inv_rsp(cgId, dialogId, usrPort, sdMsg)

int sip_ua_send_invite(BYTE cgId,WORD dialogId, WORD usrPort, SIP_API_STRUCT *sdMsg);
int sip_ua_send_re_invite(BYTE cgId, WORD dialogId, WORD usrPort, SIP_API_STRUCT *sdMsg);
int sip_ua_send_non_inv(BYTE cgId,WORD dialogId, WORD usrPort, BYTE method, SIP_API_STRUCT *sdMsg);
int sip_ua_send_cancel(BYTE cgId,WORD dialogId, WORD usrPort, BYTE method, SIP_API_STRUCT *sdMsg);
int sip_ua_send_bye(BYTE sapIncgIddex,WORD dialogId, WORD usrPort, BYTE method, SIP_API_STRUCT *sdMsg);
int sip_ua_send_200_ack(BYTE cgId,WORD dialogId, WORD usrPort, BYTE method, SIP_API_STRUCT *sdMsg);
int sip_ua_send_info(BYTE cgId,WORD dialogId, WORD usrPort, BYTE method, SIP_API_STRUCT *sdMsg);

int sip_ua_send_options(BYTE cgId,WORD dialogId, WORD usrPort, SIP_API_STRUCT *sdMsg);
int sip_ua_send_refer(BYTE cgId,WORD dialogId, WORD usrPort, SIP_API_STRUCT *sdMsg);

int sip_ua_set_inv_temp_rsp(WORD uaPort,SIP_API_STRUCT *sdMsg);

int sip_ua_send_inv_rsp(BYTE cgId,WORD dialogId, WORD usrPort, SIP_API_STRUCT *sdMsg);
int sip_ua_send_cancel_inv_rsp(BYTE cgId,WORD dialogId, WORD usrPort, SIP_API_STRUCT *sdMsg);
int sip_ua_send_re_inv_rsp(BYTE cgId,WORD dialogId, WORD usrPort, SIP_API_STRUCT *sdMsg);
int sip_ua_send_non_inv_rsp(BYTE cgId, WORD dialogId, WORD usrPort, BYTE method, SIP_API_STRUCT *sdMsg);

#endif
